commit: 7b94eef39a96b72dbf1d2249a2937a5fd075b991
Author: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 28 00:37:32 2016 +0000
Commit: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Thu Jan 28 14:45:34 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b94eef3
dev-lang/php: revision the 5.6 and 7.0 series to add sys-libs/db:5.3 support.
We had to leave db:5.3 out of our dependency string until now because
the upstream build system couldn't detect it. The latest v5.6.17 and
v7.0.2 will find it, though, so we add it as an option.
Gentoo-Bug: 564824
Package-Manager: portage-2.2.26
dev-lang/php/{php-5.6.17-r2.ebuild => php-5.6.17-r3.ebuild} | 3 ++-
dev-lang/php/{php-7.0.2-r2.ebuild => php-7.0.2-r3.ebuild} | 3 ++-
2 files changed, 4 insertions(+), 2 deletions(-)
diff --git a/dev-lang/php/php-5.6.17-r2.ebuild
b/dev-lang/php/php-5.6.17-r3.ebuild
similarity index 99%
rename from dev-lang/php/php-5.6.17-r2.ebuild
rename to dev-lang/php/php-5.6.17-r3.ebuild
index df8096c..7d9db68 100644
--- a/dev-lang/php/php-5.6.17-r2.ebuild
+++ b/dev-lang/php/php-5.6.17-r3.ebuild
@@ -85,7 +85,8 @@ DEPEND="
# the ./configure script. Other versions *work*, but we need to stick to
# the ones that can be detected to avoid a repeat of bug #564824.
DEPEND="${DEPEND}
- berkdb? ( || ( sys-libs/db:5.1
+ berkdb? ( || ( sys-libs/db:5.3
+ sys-libs/db:5.1
sys-libs/db:4.8
sys-libs/db:4.7
sys-libs/db:4.6
diff --git a/dev-lang/php/php-7.0.2-r2.ebuild b/dev-lang/php/php-7.0.2-r3.ebuild
similarity index 99%
rename from dev-lang/php/php-7.0.2-r2.ebuild
rename to dev-lang/php/php-7.0.2-r3.ebuild
index 6ecf27a..8d8f27c 100644
--- a/dev-lang/php/php-7.0.2-r2.ebuild
+++ b/dev-lang/php/php-7.0.2-r3.ebuild
@@ -85,7 +85,8 @@ DEPEND="
# the ./configure script. Other versions *work*, but we need to stick to
# the ones that can be detected to avoid a repeat of bug #564824.
DEPEND="${DEPEND}
- berkdb? ( || ( sys-libs/db:5.1
+ berkdb? ( || ( sys-libs/db:5.3
+ sys-libs/db:5.1
sys-libs/db:4.8
sys-libs/db:4.7
sys-libs/db:4.6